> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sentiment Over Time



## OpenAPI

````yaml get /v1/agents/{assistant_id}/insights/sentiment-over-time
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/agents/{assistant_id}/insights/sentiment-over-time:
    get:
      tags:
        - V1 - Insights
      summary: Sentiment Over Time
      operationId: sentiment_over_time
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assistant Id
        - name: days
          in: query
          required: false
          schema:
            type: integer
            maximum: 90
            minimum: 1
            default: 7
            title: Days
        - name: deployment_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Deployment Id
        - name: message_length
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - short
                  - medium
                  - long
                type: string
              - type: 'null'
            title: Message Length
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SentimentOverTime'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SentimentOverTime:
      properties:
        days:
          items:
            $ref: '#/components/schemas/SentimentDay'
          type: array
          title: Days
        positive_pct:
          type: number
          title: Positive Pct
          default: 0
        neutral_pct:
          type: number
          title: Neutral Pct
          default: 0
        negative_pct:
          type: number
          title: Negative Pct
          default: 0
      type: object
      required:
        - days
      title: SentimentOverTime
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SentimentDay:
      properties:
        date:
          type: string
          title: Date
        positive:
          type: integer
          title: Positive
          default: 0
        neutral:
          type: integer
          title: Neutral
          default: 0
        negative:
          type: integer
          title: Negative
          default: 0
      type: object
      required:
        - date
      title: SentimentDay
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````